# Numbers

Numbers checks.

Source:
  - numbers.js, line 1

### Methods

#### (inner) between(num, min, max) → {boolean}

Check if number is between min and max

Interfaces: `not`

Source:
  - numbers.js, line 217

##### Parameters:

Name | Type | Description
--- | --- | ---
`num` | `number` | number
`min` | `number` | number min
`max` | `number` | number max

##### Returns:

Type:
  `boolean`

##### Example

    be.between(4, 1, 10) // true

#### (inner) even(value) → {boolean}

Check if is a even number

Interfaces: `all`, `any`, `not`

Source:
  - numbers.js, line 65

##### Parameters:

Name | Type | Description
--- | --- | ---
`value` | `number` | number

##### Returns:

Type:
  `boolean`

##### Example

    be.even(2) // true
    be.even(3) // false

#### (inner) float(value) → {boolean}

Check if is float number

Interfaces: `all`, `any`, `not`

Source:
  - numbers.js, line 31

##### Parameters:

Name | Type | Description
--- | --- | ---
`value` | `number` | number

##### Returns:

Type:
  `boolean`

##### Example

    be.float(1.5) // true
    be.float(1) // false
    be.all.float(1.5, 4.2, 5) // false

#### (inner) greater(value, num) → {boolean}

Checks if number is greater then an other

Interfaces: `not`

Source:
  - numbers.js, line 237

##### Parameters:

Name | Type | Description
--- | --- | ---
`value` | `number` | value to check
`num` | `number` | number target

##### Returns:

Type:
  `boolean`

##### Example

    be.greater(10, 5) // true
    be.greater(2, 8) // false

#### (inner) infinity(value) → {boolean}

Check if number is infinity

Interfaces: `all`, `any`, `not`

Source:
  - numbers.js, line 167

##### Parameters:

Name | Type | Description
--- | --- | ---
`value` | `number` | number

##### Returns:

Type:
  `boolean`

##### Example

    be.infinity(1.7976931348623157E+10308) // true

#### (inner) infinityNegative(value) → {boolean}

Check if number is infinity positive

Interfaces: `all`, `any`, `not`

Source:
  - numbers.js, line 200

##### Parameters:

Name | Type | Description
--- | --- | ---
`value` | `number` | number

##### Returns:

Type:
  `boolean`

##### Example

    be.infinityNegative(-1.7976931348623157E+10308) // true
    be.infinityNegative(1.7976931348623157E+10308) // false

#### (inner) infinityPositive(value) → {boolean}

Check if number is infinity positive

Interfaces: `all`, `any`, `not`

Source:
  - numbers.js, line 183

##### Parameters:

Name | Type | Description
--- | --- | ---
`value` | `number` | number

##### Returns:

Type:
  `boolean`

##### Example

    be.infinityPositive(1.7976931348623157E+10308) // true
    be.infinityPositive(-1.7976931348623157E+10308) // false

#### (inner) int(value) → {boolean}

Check if a number is integer

Interfaces: `all`, `any`, `not`

Source:
  - numbers.js, line 11

##### Parameters:

Name | Type | Description
--- | --- | ---
`value` | `number` | number

##### Returns:

Type:
  `boolean`

##### Example

    be.int(2) // true
    be.int(1.5) // false
    be.all.int(1, 4, 5) // true

#### (inner) lesser(value, num) → {boolean}

Checks if number is lesser then an other

Interfaces: `not`

Source:
  - numbers.js, line 257

##### Parameters:

Name | Type | Description
--- | --- | ---
`value` | `number` | value to check
`num` | `number` | number target

##### Returns:

Type:
  `boolean`

##### Example

    be.lesser(10, 5) // false
    be.lesser(2, 8) // true

#### (inner) nan(value) → {boolean}

Check if is NaN

Interfaces: `all`, `any`, `not`

Source:
  - numbers.js, line 49

##### Parameters:

Name | Type | Description
--- | --- | ---
`value` | `number` | number

##### Returns:

Type:
  `boolean`

##### Example

    be.nan('s') // true

#### (inner) negative(value) → {boolean}

Check if is a negative number

Interfaces: `all`, `any`, `not`

Source:
  - numbers.js, line 116

##### Parameters:

Name | Type | Description
--- | --- | ---
`value` | `number` | number

##### Returns:

Type:
  `boolean`

##### Example

    be.negative(-2) // true
    be.negative(2) // false

#### (inner) negativeZero(value) → {boolean}

Check if is negative zero

Interfaces: `all`, `any`, `not`

Source:
  - numbers.js, line 133

##### Parameters:

Name | Type | Description
--- | --- | ---
`value` | `number` | number

##### Returns:

Type:
  `boolean`

##### Example

    be.negativeZero(-0) // true
    be.negativeZero(0) // false

#### (inner) numeric(value) → {boolean}

Checks if is a number as string or number type

Interfaces: `all`, `any`, `not`

Source:
  - numbers.js, line 277

##### Parameters:

Name | Type | Description
--- | --- | ---
`value` | `number` | number

##### Returns:

Type:
  `boolean`

##### Example

    be.numeric(100) // true
    be.numeric('100') // true

#### (inner) odd(value) → {boolean}

Check if is an odd number

Interfaces: `all`, `any`, `not`

Source:
  - numbers.js, line 82

##### Parameters:

Name | Type | Description
--- | --- | ---
`value` | `number` | number

##### Returns:

Type:
  `boolean`

##### Example

    be.odd(3) // true
    be.odd(4) // false

#### (inner) positive(value) → {boolean}

Check if is a positive number

Interfaces: `all`, `any`, `not`

Source:
  - numbers.js, line 99

##### Parameters:

Name | Type | Description
--- | --- | ---
`value` | `number` | number

##### Returns:

Type:
  `boolean`

##### Example

    be.positive(2) // true
    be.positive(-3) // false

#### (inner) positiveZero(value) → {boolean}

Check if is negative zero

Interfaces: `all`, `any`, `not`

Source:
  - numbers.js, line 150

##### Parameters:

Name | Type | Description
--- | --- | ---
`value` | `number` | number

##### Returns:

Type:
  `boolean`

##### Example

    be.positiveZero(+0) // true
    be.positiveZero(0) // true